# Function NumberCoordinatesFilter

- NumberCoordinatesFilter($filter: IFilterService): numberCoordinates

- Format a couple of numbers as number coordinates.

  Example without parameters:

       <p>{{[7.1234, 46.9876] | ngeoNumberCoordinates}}</p>
       <!-- will Become 7 47 -->

  Example with defined fractionDigits and template (en-US localization):

       <!-- With en-US localization -->
       <p>{{[7.1234, 46.9876] | ngeoNumberCoordinates:2:'co {x} E; {y} N'}}</p>
       <!-- will Become co 7.12 E; 46.99 N -->
       <br/>
       <!-- With en-US localization -->
       <p>{{[2600000, 1600000] | ngeoNumberCoordinates:0:'{x}, {y}'}}</p>
       <!-- will Become 2,600,000, 1,600,000 -->
       <br/>
       <!-- With fr-CH localization -->
       <p>{{[2600000, 1600000] | ngeoNumberCoordinates:0:'{x}, {y}'}}</p>
       <!-- will Become 2'600'000, 1'600'000 -->

  ### Returns

  A function to format numbers into coordinates string.

  ### Ng Inject

  ### Ngdoc

  filter

  ### Ngname

  ngeoNumberCoordinates

  #### Parameters

  - ##### $filter: IFilterService

    Angular filter

  #### Returns numberCoordinates

  - Defined in src/misc/filters.js:295

Generated using TypeDoc